%define git 3e509e6bdd2c07ac715cfc27946f86123744a46e

Name:           python-pyinsane
Version:        2.0.13
Release:        %mkrel 4
Summary:        Python implementation of the Sane API
Group:          Development/Python
License:        GPLv3
Url:            https://gitlab.gnome.org/World/OpenPaperwork/pyinsane
Source0:        https://gitlab.gnome.org/World/OpenPaperwork/pyinsane/-/archive/%version/%name-%version.tar.bz2
BuildArch:      noarch
BuildRequires:  pkgconfig(xt)


%description
Python implementation of the Sane API (using ctypes) and abstration layer.
The code is divided in 3 layers:

rawapi      : Ctypes binding to the raw Sane API
abstract    : An Object-Oriented layer that simplifies the use of the Sane API
              and try to avoid possible misuse of the Sane API. When scanning,
              it also takes care of returning a PIL image.
abstract_th : The Sane API is not thread-safe and cannot be used in a
              multi-threaded environment easily.
              This layer solves this problem but using a fully dedicated thread.

%package -n python3-pyinsane
Summary:        Python 3 implementation of the Sane API
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose

%description -n python3-pyinsane
Python 3 implementation of the Sane API (using ctypes) and abstration layer.
The code is divided in 3 layers:

rawapi      : Ctypes binding to the raw Sane API
abstract    : An Object-Oriented layer that simplifies the use of the Sane API
              and try to avoid possible misuse of the Sane API. When scanning,
              it also takes care of returning a PIL image.
abstract_th : The Sane API is not thread-safe and cannot be used in a
              multi-threaded environment easily.
              This layer solves this problem but using a fully dedicated thread.

%prep
%setup -q -n pyinsane-%{version}-%{git}

%build
make version
%py3_build

%install
%py3_install

%files -n python3-pyinsane
%doc ChangeLog README.md
%{python3_sitelib}/pyinsane2-*egg-info
%{python3_sitelib}/pyinsane2/


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 2.0.13-4.mga8
+ Revision: 1533720
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 2.0.13-3.mga8
+ Revision: 1445345
- rebuild for python-3.8
- drop python2 subpkg

* Sat Jan 12 2019 daviddavid <daviddavid> 2.0.13-2.mga7
+ Revision: 1355349
- rename python-pyinsane to python2-pyinsane

* Sat Jan 12 2019 shlomif <shlomif> 2.0.13-1.mga7
+ Revision: 1355347
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.3.8-8.mga7
+ Revision: 1289784
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.3.8-7.mga7
+ Revision: 1135572
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 1.3.8-6.mga6
+ Revision: 971090
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 1.3.8-5.mga6
+ Revision: 889262
- rebuild for python 3.5
- use new python macros
+ tv <tv>
- rebuild for python 3.5

* Mon Jun 22 2015 dglent <dglent> 1.3.8-3.mga6
+ Revision: 839725
- Add python3 package

* Wed Oct 15 2014 umeabot <umeabot> 1.3.8-2.mga5
+ Revision: 747522
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 dglent <dglent> 1.3.8-1.mga5
+ Revision: 730945
- imported package python-pyinsane

